import { Component, OnInit,ViewChild} from '@angular/core';
import {FramePageComponent} from '../../../../frame/core/FramePageComponent';
import {FrameEditComponent} from '../../../../frame/core/FrameEditComponent';
import {BsModalRef} from 'ngx-bootstrap';
import {FrameService} from '../../../../../core/frame/frame.service';

@Component({
  selector: 'app-agent-std-info',
  templateUrl: './agent-std-info.component.html'
})
export class AgentStdInfoComponent extends FrameEditComponent implements OnInit {
  // 初始化的map
  ResponseMap: any;
  @ViewChild('loginPager', {static: false}) loginPager: FramePageComponent;

  constructor(bsModalRef: BsModalRef) {
    super(bsModalRef);
  }

  ngOnInit() {
  }

  getStdImage(){
    if (this.ResponseMap.StdReg === undefined)
      return;
    return FrameService.getParamValue('MateialWebPath') + 'StdUpload/' + this.ResponseMap.StdReg.std_image;
  }

}
